API ReferenceManagementManagement Keys
PUT
/v1/mgmt/managementkey

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

name?string
description?string
expiresIn?string
permittedIps?array<string>
string
reBac?object
expireTime?string

Create a management key using another management key.

curl -X PUT "https://api.descope.com/v1/mgmt/managementkey" \  -H "Content-Type: application/json" \  -d '{}'
{  "cleartext": "string",  "key": {    "id": "string",    "name": "string",    "description": "string",    "status": "string",    "createdTime": 0,    "expireTime": 0,    "permittedIps": [      "string"    ],    "reBac": {      "companyRoles": [        "string"      ],      "projectRoles": [        {          "projectIds": [            "string"          ],          "roles": [            "string"          ]        }      ],      "tagRoles": [        {          "tags": [            "string"          ],          "roles": [            "string"          ]        }      ]    },    "version": 0,    "authzVersion": 0  }}
export interface Response {cleartext?: stringkey?: {id?: stringname?: stringdescription?: stringstatus?: stringcreatedTime?: numberexpireTime?: numberpermittedIps?: string[]reBac?: {companyRoles?: string[]projectRoles?: ManagementKeyProjectRole[]tagRoles?: ManagementKeyTagRole[]}version?: numberauthzVersion?: number}}export interface ManagementKeyProjectRole {projectIds?: string[]roles?: string[]}/** * Management key */export interface ManagementKeyTagRole {tags?: string[]roles?: string[]}
Was this helpful?